WP5GraphicsInformationPacket Class Reference

`#include <WP5GraphicsInformationPacket.h>`

Inheritance diagram for WP5GraphicsInformationPacket:

## Public Member Functions

| WP5GraphicsInformationPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP5GraphicsInformationPacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataSize) override
const librevenge::RVNGBinaryData * | getImage (unsigned long imageIndex) const
Public Member Functions inherited from WP5GeneralPacketData
| WP5GeneralPacketData ()
virtual | ~WP5GeneralPacketData ()

## Private Attributes

std::vector< std::unique_ptr< librevenge::RVNGBinaryData > > | m_images

## Additional Inherited Members

Static Public Member Functions inherited from WP5GeneralPacketData
static WP5GeneralPacketData * | constructGeneralPacketData (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5GeneralPacketIndex *packetIndex)
Protected Member Functions inherited from WP5GeneralPacketData
virtual void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## WP5GraphicsInformationPacket()

WP5GraphicsInformationPacket::WP5GraphicsInformationPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize )

## ~WP5GraphicsInformationPacket()

WP5GraphicsInformationPacket::~WP5GraphicsInformationPacket | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP5GraphicsInformationPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataSize )

override virtual

Implements WP5GeneralPacketData.

## getImage()

const librevenge::RVNGBinaryData * WP5GraphicsInformationPacket::getImage | ( | unsigned long | imageIndex | ) | const

inline

Referenced by WP5BoxGroup::parse().

## Member Data Documentation

## m_images

std::vector<std::unique_ptr<librevenge::RVNGBinaryData> > WP5GraphicsInformationPacket::m_images

private

Referenced by _readContents(), getImage(), and WP5GraphicsInformationPacket().

The documentation for this class was generated from the following files:

- WP5GraphicsInformationPacket.h
- WP5GraphicsInformationPacket.cpp